.TH "mca_ptl_gm_send_frag_t" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
mca_ptl_gm_send_frag_t \- GM send fragment derived type.  

.PP
.SH SYNOPSIS
.br
.PP
\fC#include <ptl_gm_sendfrag.h>\fP
.PP
.SS "Data Fields"

.in +1c
.ti -1c
.RI "\fBmca_ptl_base_send_frag_t\fP \fBfrag_send\fP"
.br
.RI "\fIbase send fragment descriptor \fP"
.ti -1c
.RI "void * \fBsend_buf\fP"
.br
.ti -1c
.RI "ompi_ptr_t * \fBregistered_buf\fP"
.br
.ti -1c
.RI "uint64_t \fBfrag_bytes_processed\fP"
.br
.RI "\fIdata sended so far \fP"
.ti -1c
.RI "uint64_t \fBfrag_bytes_validated\fP"
.br
.RI "\fIamount of data for which we receive an ack \fP"
.ti -1c
.RI "uint64_t \fBfrag_offset\fP"
.br
.RI "\fIinitial offset of the fragment as specified by the upper level \fP"
.ti -1c
.RI "mca_ptl_gm_pipeline_info_t \fBpipeline\fP"
.br
.RI "\fIstoring the information about the status of the pipeline for long messages \fP"
.ti -1c
.RI "int \fBstatus\fP"
.br
.ti -1c
.RI "uint32_t \fBtype\fP"
.br
.in -1c
.SH "Detailed Description"
.PP 
GM send fragment derived type. 
.PP


.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
